View Issue Details

IDProjectCategoryLast Update
0023302AI War 2SuggestionAug 10, 2020 7:53 am
Reportertadrinth Assigned Tokeith.lamothe  
Severitytweak 
Status resolvedResolutionfixed 
Summary0023302: Crippled flagships should be able to fly through enemy force fields
DescriptionI just tried to assault the AI Homeworld. My fleet got wiped out, and then I couldn't get my flagship out because there were force field guardians covering the wormhole. They should be able to limp home no matter what.
TagsNo tags attached.

Activities

keith.lamothe

Aug 9, 2020 4:41 pm

administrator   ~0058013

I have some code changes that should achieve this, but can you give me a save where you're trapped on an AI planet like that? Helpful for testing to make sure I didn't miss something.

RocketAssistedPuffin

Aug 9, 2020 5:46 pm

reporter  

RocketAssistedPuffin

Aug 9, 2020 5:46 pm

reporter   ~0058016

One setup.

RocketAssistedPuffin

Aug 9, 2020 5:48 pm

reporter   ~0058018

(I hope that works. Cleared and verified the game again but sometimes get weird errors regardless).

keith.lamothe

Aug 10, 2020 7:44 am

administrator   ~0058020

The save worked great, thank you.

For next version:

* Crippled units (i.e. player flagships) can now pass through enemy bubble shields and traverse wormholes covered by them, to avoid being stranded in hostile territory.

SNAFU

Aug 10, 2020 7:53 am

reporter   ~0058022

Noticed this issue is similar to one I opened recently, so hope you don't mind me dropping two other test cases! First one is strike fleet 1 stranded by a zombified forcefield frigate on Ghahamani, second is same fleet, but the culprit is a MK VII (immobile) forcefield unit on Eich.
StrandedFlagship.save (478,597 bytes)
StrandedFlagship2.save (984,052 bytes)

Issue History

Date Modified Username Field Change
Jun 14, 2020 9:51 pm tadrinth New Issue
Aug 9, 2020 4:41 pm keith.lamothe Note Added: 0058013
Aug 9, 2020 5:46 pm RocketAssistedPuffin File Added: CrippledFlagshipForcefield2 .save
Aug 9, 2020 5:46 pm RocketAssistedPuffin Note Added: 0058016
Aug 9, 2020 5:48 pm RocketAssistedPuffin Note Added: 0058018
Aug 10, 2020 7:44 am keith.lamothe Note Added: 0058020
Aug 10, 2020 7:44 am keith.lamothe Assigned To => keith.lamothe
Aug 10, 2020 7:44 am keith.lamothe Status new => resolved
Aug 10, 2020 7:44 am keith.lamothe Resolution open => fixed
Aug 10, 2020 7:53 am SNAFU File Added: StrandedFlagship.save
Aug 10, 2020 7:53 am SNAFU File Added: StrandedFlagship2.save
Aug 10, 2020 7:53 am SNAFU Note Added: 0058022

Debug Log

Number Execution time Caller Event
PLUGIN-10SMFAuth SMFAuth.php:55 SMFAuthPlugin->auto_login()SMFAuth Initializing
PLUGIN-20SMFAuth SMFAuth.php:59 SMFAuthPlugin->auto_login()SMF Settings loaded from /home/arcengames/public_html/forums
PLUGIN-30SMFAuth SMFAuth.php:147 SMFAuthPlugin->decodeCookie()Cookie doesn't exist! Is the user logged into the forums?